#ifndef __KK_MUTICTRL_HANDLE_H__
#define __KK_MUTICTRL_HANDLE_H__
#include "cJSON.h"
#include "klist.h"
typedef struct{
    char sceneId[16];
    char deviceCode[32];
    int epNum;
    int count;
    time_t timestamp;
    struct list_head linked_list;
}mutictrl_record_t;

typedef struct {
	void *mutex;
    void *g_mutictrl_thread;
	struct list_head mutictrl_list;
} dm_mutictrl_ctx;
int kk_virtual_mutictrl_check(const char*deviceCode,cJSON *param);
int kk_manual_mutictrl_execute(const char*deviceCode,cJSON *param);
int kk_mutictrl_init(void);
#endif